Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686130 - [abrt] i2c_dw_init_master: WARNING: CPU: 2 PID: 1 at drivers/i2c/busses/i2c-designware-common.c:184 i2c_dw_clk_rate+0x16/0x20 [NEEDINFO]
Summary: [abrt] i2c_dw_init_master: WARNING: CPU: 2 PID: 1 at drivers/i2c/busses/i2c-d...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4a4fdc754a37a83bf6d1e60bb15...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 19:14 UTC by Quentin Dufour
Modified: 2019-04-09 20:46 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
labbott: needinfo? (quentin)


Attachments (Terms of Use)
File: dmesg (deleted)
2019-03-06 19:14 UTC, Quentin Dufour
no flags Details

Description Quentin Dufour 2019-03-06 19:14:23 UTC
Additional info:
reporter:       libreport-2.10.0
WARNING: CPU: 2 PID: 1 at drivers/i2c/busses/i2c-designware-common.c:184 i2c_dw_clk_rate+0x16/0x20
Modules linked in:
CPU: 2 PID: 1 Comm: swapper/0 Not tainted 4.16.8-300.fc28.x86_64 #1
Hardware name: Dell Inc. Inspiron 27 7775/0KFKMF, BIOS 2.12.0 11/30/2017
RIP: 0010:i2c_dw_clk_rate+0x16/0x20
RSP: 0018:ffffbf460006fc80 EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff9dd414630828 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff9dd414630828
RBP: 0000000000000000 R08: 00000000000250a0 R09: ffffffffb350b0d9
R10: fffff4ac085192c0 R11: 0000000000000580 R12: 000000000000012c
R13: 000000000000012c R14: 0000000000000000 R15: ffff9dd4145e2010
FS:  0000000000000000(0000) GS:ffff9dd416280000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000019220a000 CR4: 00000000003406e0
Call Trace:
 i2c_dw_init_master+0x20b/0x3f0
 i2c_dw_probe+0x51/0x270
 dw_i2c_plat_probe+0x324/0x720
 platform_drv_probe+0x38/0x90
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? do_early_param+0x8e/0x8e
 ? driver_register+0x6b/0xb0
 ? trace_event_define_fields_smbus_read+0x10e/0x10e
 ? do_one_initcall+0x48/0x13b
 ? do_early_param+0x8e/0x8e
 ? kernel_init_freeable+0x18d/0x22c
 ? rest_init+0xaa/0xaa
 ? kernel_init+0xa/0x105
 ? ret_from_fork+0x22/0x40
Code: c7 c6 11 b1 13 b4 41 5c 48 0f 44 d0 41 5d e9 22 54 ed ff 66 90 0f 1f 44 00 00 48 8b 47 48 48 85 c0 74 08 e8 fd fe 53 00 89 c0 c3 <0f> 0b c3 0f 1f 80 00 00 00 00 0f 1f 44 00 00 48 8b 87 50 05 00 

Potential duplicate: bug 1560811

Comment 1 Quentin Dufour 2019-03-06 19:14:27 UTC
Created attachment 1541584 [details]
File: dmesg

Comment 2 Laura Abbott 2019-04-09 20:46:57 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora XX has now been rebased to 5.0.6  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.
 
If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.